Package org.apache.sling.jcr.webdav.impl.handler

# Class DirListingExportHandlerService

java.lang.Object
org.apache.jackrabbit.server.io.DirListingExportHandler
org.apache.sling.jcr.webdav.impl.handler.DirListingExportHandlerService

All Implemented Interfaces:
  `org.apache.jackrabbit.server.io.IOHandler`, `org.apache.jackrabbit.server.io.PropertyHandler`

public class DirListingExportHandlerService extends org.apache.jackrabbit.server.io.DirListingExportHandler
Wraps `DirListingExportHandler` in order to run it as a service.

## Constructor Summary

Constructors
Constructor
Description
`DirListingExportHandlerService()`

## Method Summary

### Methods inherited from class org.apache.jackrabbit.server.io.DirListingExportHandler

`canExport, canExport, canExport, canImport, canImport, canImport, exportContent, exportContent, exportProperties, getIOManager, getName, importContent, importContent, importProperties, setIOManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DirListingExportHandlerService

public DirListingExportHandlerService()